Auto-register an Electron client computer on startup
curl --request POST \
--url https://api.kazzle.app/api/spaces/{spaceId}/computers/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"platform": "<string>",
"label": "<string>",
"deviceId": "<string>",
"config": {
"canRunProcesses": true,
"terminals": {
"show": true,
"canCreate": true
},
"browsers": {
"show": true,
"canConnect": true
},
"desktopControl": {
"show": true,
"canEnable": true
}
}
}
'curl --request POST \
--url https://api.kazzle.app/api/spaces/{spaceId}/computers/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"platform": "<string>",
"label": "<string>",
"deviceId": "<string>",
"config": {
"canRunProcesses": true,
"terminals": {
"show": true,
"canCreate": true
},
"browsers": {
"show": true,
"canConnect": true
},
"desktopControl": {
"show": true,
"canEnable": true
}
}
}
'